import 'package:dismissible_page/dismissible_page.dart';
import 'package:example/_models.dart';
import 'package:example/_pages.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class StoryWidget extends StatelessWidget {
  final StoryModel story;
  final List<StoryModel> stories;

  const StoryWidget({required this.story, required this.stories});

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: () {
        context.pushTransparentRoute(
          StoriesWrapper(
            parentIndex: stories.indexOf(story),
            stories: stories,
          ),
          transitionDuration: story.transitionDuration!,
          reverseTransitionDuration: story.reverseTransitionDuration!,
        );
      },
      child: Hero(
        tag: story.storyId,
        child: Material(
          color: Colors.transparent,
          child: Container(
            padding: const EdgeInsets.all(8),
            clipBehavior: Clip.antiAlias,
            alignment: Alignment.bottomLeft,
            decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(12),
              image: DecorationImage(
                fit: BoxFit.cover,
                image: NetworkImage(story.imageUrl),
              ),
            ),
            child: Text(
              story.title,
              style: GoogleFonts.poppins(color: Colors.white),
            ),
          ),
        ),
      ),
    );
  }
}
